window.onload = init;

function init() {
  new MyForm($('form'), $('result'));
}

MyForm = Class.create();
MyForm.prototype = {
  initialize: function(form, result) {
    Event.observe(form, 'submit',
                  this.submit.bindAsEventListener(this));
    this.form = form;
    this.result = result;
  },

  submit: function(e) {
    var url = 'submit.php';
    var options = {
      onComplete: this.submitComplete.bind(this),
      parameters: Form.serialize(this.form)
    };
    new Ajax.Request(url, options);
    Event.stop(e);
    return false;
  },

  submitComplete: function(transport) {
    var result = transport.responseText;
    this.result.innerHTML = result;
  }
}
