function callback(event) {
  var elem = event.target || event.srcElement;
  if (elem == null) {
    return;
  }
  alert(elem.id + ' clicked');
}

function installHandler() {
  var elements = document.getElementsByClassName('action');
  for (var i = 0; i < elements.length; ++i) {
    var elem = elements[i];
    if (elem.addEventListener) {
      elem.addEventListener('click', callback, false);
    } else if (elem.attachEvent) {
      elem.attachEvent('onclick', callback);
    }
  }
}

function startup() {
  installHandler();
}
